## liquidsoap 1.1.1

=== Makefile ===

SUBDIRS= src examples doc gui scripts
DISTFILES = CHANGES COPYING INSTALL README \
	bootstrap configure.ac configure config.h.in \
	Makefile Makefile.defs.in Makefile.rules install-sh
DISTDIRS = m4

top_srcdir=.
include $(top_srcdir)/Makefile.rules

distclean: pre-distclean
	rm -f Makefile.defs
pre-distclean: clean
	rm -rf config.log config.status config.h autom4te.cache \
	       src/configure.ml scripts/liquidsoap.initd \
	       scripts/liquidsoap.gentoo.initd scripts/liquidsoap.logrotate \
	       gui/liguidsoap $(DISTDIR) $(DISTDIR).tar.bz2

test:
	$(MAKE) -C scripts/tests test

# Build liquidsoap as it will be used for building the doc
doc-local: all

.PHONY: system-install gentoo-install finish-configure

finish-configure:
ifneq ($(CUSTOM_PATH),yes)
	@echo let tts_program = \"$(libdir)/liquidsoap/$(libs_dir_version)/liquidtts\" >> src/configure.ml
	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo let libs_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)\" >> src/configure.ml
	@echo let plugins_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)/plugins\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
else
	@echo let tts_program = get_dir \"liquidtts\" >> src/configure.ml
	@echo let rundir = get_dir \"run\" >> src/configure.ml
	@echo let logdir = get_dir \"logs\" >> src/configure.ml
	@echo let plugins_dir = get_dir \"plugins\" >> src/configure.ml
	@echo let libs_dir = get_dir \"libs\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
endif
	@echo let display_types = ref false >> src/configure.ml
	@echo "(* Enable backtrace printing if possible, does nothing on ocaml<3.11 *)" >> src/configure.ml
	@echo "let record_backtrace _ = ()" >> src/configure.ml
	@echo "open Printexc" >> src/configure.ml
	@echo "let vendor = \
                  Printf.sprintf \"Liquidsoap/%s (%s; OCaml %s)\" \
                     version Sys.os_type Sys.ocaml_version" >> src/configure.ml
	@echo "let () = record_backtrace true" >> src/configure.ml
	@echo Creating scripts/liquidsoap.logrotate
	@cat scripts/liquidsoap.logrotate.in | \
	  sed -e s:@localstatedir@:$(localstatedir): > scripts/liquidsoap.logrotate

.PHONY: doc-install api-doc-install
doc-install:
	$(MAKE) -C doc doc-install
	$(MAKE) -C examples doc-install
api-doc-install:
	$(V)echo Installing developer documentation...
	$(V)$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/api
	$(V)for doc in $(wildcard autodoc/liquidsoap/*.html autodoc/liquidsoap/*.css) ;\
	do $(INSTALL_DATA) $$doc $(datadir)/doc/$(DISTDIR)/api ; \
	done

# user and group are defined in Makefile.defs, written by configure.

install-local: doc-install
ifeq ($(INSTALL_DAEMON),yes)
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/log/liquidsoap
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/run/liquidsoap
endif
	$(INSTALL_DIRECTORY) $(bindir)
	$(INSTALL_DIRECTORY) $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_PROGRAM) scripts/liquidtts $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_PROGRAM) scripts/extract-replaygain $(libdir)/liquidsoap/$(libs_dir_version)
	for l in externals.liq lastfm.liq utils.liq shoutcast.liq flows.liq video.liq \
		       http.liq http_codes.liq pervasives.liq gstreamer.liq ; \
	do \
	  $(INSTALL_DATA) scripts/$$l $(libdir)/liquidsoap/$(libs_dir_version) ; \
	done
	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
	$(INSTALL_DATA) examples/radio.liq \
	  ${sysconfdir}/liquidsoap/radio.liq.example
	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
	$(INSTALL_DATA) scripts/liquidsoap.logrotate \
	  ${sysconfdir}/logrotate.d/liquidsoap

gentoo-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.gentoo.initd ${sysconfdir}/init.d/liquidsoap

service-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.initd ${sysconfdir}/init.d/liquidsoap

=== examples/Makefile ===

DISTFILES = $(wildcard *.liq) Makefile README

top_srcdir = ..
include $(top_srcdir)/Makefile.rules

.PHONY: doc-install
doc-install:
	$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/examples
	$(INSTALL_DATA) $(wildcard *.liq) README $(datadir)/doc/$(DISTDIR)/examples

=== gui/Makefile ===
PY=$(wildcard *.py)

DISTFILES = Makefile $(PY) liguidsoap.1
top_srcdir=..
include $(top_srcdir)/Makefile.rules

ifeq ($(W_PYTHON),yes)
install-local:
	for p in $(PY) ; do \
	  $(INSTALL_PROGRAM) -D $$p $(PYMDIR)/$$p ; \
	done
	$(INSTALL_PROGRAM) -D liguidsoap $(bindir)/liguidsoap
	$(INSTALL_PROGRAM) -D liguidsoap.1 $(mandir)/man1/liguidsoap.1
endif

=== scripts/Makefile ===

SUBDIRS = tests
DISTFILES = $(wildcard *.in) Makefile ask-liquidsoap.rb ask-liquidsoap.pl \
	    $(wildcard *.liq) extract-replaygain liquidtts

top_srcdir = ..
include $(top_srcdir)/Makefile.rules

=== src/Makefile ===
SUBDIRS=tools decoder playlists encoder protocols plugins stream lang \
	ogg_formats converters operators sources conversions outputs io \
	visualization analyze synth

DISTFILES = $(wildcard *.mli) Makefile $(wildcard *.ml) META.in

ocaml_progs= liquidsoap

top_srcdir=..
include $(top_srcdir)/Makefile.defs

# Liquidsoap source files work as follows.
# Each file has to be either added to liquidsoap's files if compiled builtin
# or to the corresponding plugin if built as a plugin.
# For this purpose, we define the make function
# conditional_compilation, which redirects each of those files to
# the correct make variable. Its parameters are:
# $1: name of the make variable where the file should go if compiled builtin.
# $2: the $W_FOO variable
# $3: path to the file
# $4: type of source: empty for .ml sources,
#                     c_ for c sources and camlp4_ for camlp4 sources.
#                     (Camlp4 sources are not supported yet..)
#
# For now, the old style Makefile has been converted to
# this new style by replacing $(if $(W_FOO),..) by
# $(call conditional_compilation,..). However, this may
# cause some trouble as the order of declaration is important
# both for the builtin case and plugin case.. See for instance
# SDL files, whose declaration have been moved at the end.
conditional_compilation = \
  $(if $(2),\
    $(if $(2:yes=),\
      $(eval $(2)_$(4)sources += $(3)),\
      $(eval $(1) += $(3))))

liquidsoap_c_files = tools/locale_c.c

# Add conditional files..
$(call conditional_compilation,liquidsoap_c_files,$(W_OSS),io/oss_io_c.c,c_)

# Camlp4 compilation works as follow:
# both .camlp4 and .ml files are present in the
# source tree.
# If camlp4o is detected, then a .camlp4.ml target
# is executed for each .camlp4. This target creates a .camlp4.ml
# file that is not used and regenerate the .ml files used for compilation.
liquidsoap_camlp4_files = \
	$(if $(W_DUPPY_SYNTAX),outputs/harbor_output.camlp4) \
	$(if $(W_DUPPY_SYNTAX),tools/server.camlp4) \
	$(if $(W_DUPPY_SYNTAX),tools/harbor.camlp4)

# This variable contains only conditional files..
ogg_demuxer =

$(call conditional_compilation,ogg_demuxer,$(W_SPEEX),ogg_formats/speex_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_VORBIS),ogg_formats/vorbis_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_OPUS),ogg_formats/opus_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_THEORA),ogg_formats/theora_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_FLAC_OGG),ogg_formats/ogg_flac_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_SCHROEDINGER),ogg_formats/dirac_decoder.ml)

# This variable contains only conditional files..
ogg_muxer =

$(call conditional_compilation,ogg_muxer,$(W_OGG),ogg_formats/ogg_muxer.ml)
$(call conditional_compilation,ogg_muxer,$(W_OGG), encoder/ogg_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_SPEEX),ogg_formats/speex_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_VORBIS),ogg_formats/vorbis_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_OPUS),ogg_formats/opus_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_THEORA),ogg_formats/theora_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_FLAC_OGG),ogg_formats/ogg_flac_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_SCHROEDINGER),ogg_formats/dirac_encoder.ml)

audio_converters = \
	converters/audio/native_audio_converter.ml

$(call conditional_compilation,audio_converters,$(W_SAMPLERATE),converters/audio/libsamplerate_converter.ml)

video_converters = \
	converters/video_converter.ml \
	converters/video/native_video_converter.ml

$(call conditional_compilation,video_converters,$(W_GAVL),converters/video/gavl_converter.ml)
$(call conditional_compilation,video_converters,$(W_FFMPEG),converters/video/ffmpeg_video_converter.ml)

decoders = \
	decoder/metadata_decoder.ml \
	decoder/wav_decoder.ml decoder/midi_decoder.ml \
	decoder/image_decoder.ml decoder/image/ppm_decoder.ml \
	$(if ($(OS_TYPE):Win32=),decoder/external_decoder.ml)

$(call conditional_compilation,decoders,$(W_FLAC),decoder/flac_decoder.ml)
$(call conditional_compilation,decoders,$(W_FAAD),decoder/aac_decoder.ml)
$(call conditional_compilation,decoders,$(W_OGG),decoder/ogg_decoder.ml)
$(call conditional_compilation,decoders,$(W_MAD),decoder/mad_decoder.ml)
$(call conditional_compilation,decoders,$(W_VORBIS),decoder/vorbisduration.ml)
$(call conditional_compilation,decoders,$(W_FLAC),decoder/flacduration.ml)
$(call conditional_compilation,decoders,$(W_FLAC_OGG),decoder/ogg_flac_duration.ml)
$(call conditional_compilation,decoders,$(W_TAGLIB),decoder/taglib_plug.ml)

playlists = \
	playlists/playlist_basic.ml

$(call conditional_compilation,playlists,$(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	$(if ($(OS_TYPE):Win32=),protocols/say.ml) \
	protocols/annotate.ml \
	protocols/mpd.ml \
	$(if ($(OS_TYPE):Win32=),protocols/extproto.ml)

sources = \
	sources/synthesized.ml sources/noise.ml sources/blank.ml \
	sources/audio_gen.ml sources/request_source.ml \
	sources/req_simple.ml sources/playlist.ml \
	sources/req_queue.ml sources/req_equeue.ml \
	sources/generated.ml sources/http_source.ml \
	tools/harbor.ml sources/harbor_input.ml \
	$(if ($(OS_TYPE):Win32=),sources/external_input.ml) \
	tools/liqMM.ml

$(call conditional_compilation,sources,$(W_BJACK),sources/bjack_in.ml)

operators = \
	operators/insert_metadata.ml operators/map_metadata.ml \
	operators/on_metadata.ml operators/store_metadata.ml \
	operators/on_track.ml operators/on_end.ml operators/delay.ml \
	operators/switch.ml operators/fade.ml operators/add.ml \
	operators/sequence.ml operators/cross.ml operators/smartcross.ml \
	operators/compress_exp.ml operators/pitch.ml \
	operators/fir_filter.ml operators/iir_filter.ml \
	operators/biquad_filter.ml operators/cuepoint.ml \
	operators/map_op.ml operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/clip.ml operators/filter.ml \
	operators/setvol.ml operators/normalize.ml operators/echo.ml \
	operators/append.ml operators/pan.ml operators/ms_stereo.ml \
	operators/dyn_op.ml operators/video_effects.ml operators/video_fade.ml \
	operators/noblank.ml operators/compand.ml \
	operators/mixing_table.ml operators/prepend.ml \
	operators/midi_routing.ml \
	operators/time_warp.ml operators/resample.ml \
	operators/chord.ml operators/video_text.ml

$(call conditional_compilation,operators,$(W_SOUNDTOUCH),operators/soundtouch_op.ml)
$(call conditional_compilation,operators,$(W_SOUNDTOUCH),operators/st_bpm.ml)
$(call conditional_compilation,operators,$(W_LADSPA),operators/ladspa_op.ml)
$(call conditional_compilation,operators,$(W_FREI0R),operators/frei0r_op.ml)

conversions = \
	conversions/audio_to_stereo.ml conversions/drop.ml conversions/id.ml \
	conversions/swap.ml conversions/mean.ml conversions/mux.ml

analyze = analyze/analyze_rms.ml

encoders = \
	encoder/wav_encoder.ml \
	encoder/lame_encoder.ml \
	encoder/aacplus_encoder.ml \
	$(if ($(OS_TYPE):Win32=),encoder/external_encoder.ml) \
	$(if $(W_LAME_DYN),encoder/lame_encoder_dynlink.ml) \
	$(if $(W_AACPLUS_DYN),encoder/aacplus_encoder_dynlink.ml)

$(call conditional_compilation,encoders,$(W_SHINE),encoder/shine_encoder.ml)
$(call conditional_compilation,encoders,$(W_LAME),encoder/lame_encoder_builtin.ml)
$(call conditional_compilation,encoders,$(W_FLAC),encoder/flac_encoder.ml)
$(call conditional_compilation,encoders,$(W_AACPLUS),encoder/aacplus_encoder_builtin.ml)
$(call conditional_compilation,encoders,$(W_VOAACENC),encoder/voaacenc_encoder.ml)
$(call conditional_compilation,encoders,$(W_FDKAAC),encoder/fdkaac_encoder.ml)
$(call conditional_compilation,encoders,$(W_TAGLIB),encoder/taglib_id3v2.ml)

outputs = outputs/output.ml \
	outputs/pipe_output.ml \
	outputs/harbor_output.ml

$(call conditional_compilation,outputs,$(W_AO),outputs/ao_out.ml)
$(call conditional_compilation,outputs,$(W_CRY),outputs/icecast2.ml)
$(call conditional_compilation,outputs,$(W_GRAPHICS),outputs/graphics_out.ml)
$(call conditional_compilation,outputs,$(W_BJACK),outputs/bjack_out.ml)

io = io/udp_io.ml

$(call conditional_compilation,io,$(W_OSS),io/oss_io.ml)
$(call conditional_compilation,io,$(W_PULSEAUDIO),io/pulseaudio_io.ml)
$(call conditional_compilation,io,$(W_PORTAUDIO),io/portaudio_io.ml)

tools = tools/stdlib.ml tools/doc.ml tools/plug.ml tools/utils.ml \
	$(if $(W_DYNLINK),tools/dyntools.ml) \
	tools/rqueue.ml \
	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
	$(if $(W_AACPLUS_DYN),tools/aacplus_dynlink.ml) \
	tools/wav.ml tools/tutils.ml \
	tools/file_watcher.ml tools/file_watcher_mtime.ml \
	configure.ml \
	tools/http.ml tools/pool.ml

$(call conditional_compilation,tools,$(W_INOTIFY),tools/file_watcher_inotify.ml)

stream =stream/frame.ml stream/generator.ml \
	stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml

visualization = visualization/vumeter.ml \
	visualization/midimeter.ml \
	visualization/video_volume.ml

$(call conditional_compilation,visualization,$(W_GRAPHICS),visualization/vis_volume.ml)

synth = synth/keyboard.ml synth/synth_op.ml

$(call conditional_compilation,synth,$(W_DSSI),synth/dssi_op.ml)

builtins = lang/lang_builtins.ml \
	$(if $(W_YOJSON),lang/builtins_json.ml)

$(call conditional_compilation,builtins,$(W_LO),lang/builtins_lo.ml)
$(call conditional_compilation,builtins,$(W_MAGIC),lang/builtins_magic.ml)
$(call conditional_compilation,builtins,$(W_CRY),lang/builtins_cry.ml)

liquidsoap_sources= $(tools) SVN.ml converters/audio_converter.ml $(stream) \
	decoder/decoder.ml request.ml tools/server.ml \
        source.ml clock.ml tools/rutils.ml \
	playlist_parser.ml encoder/encoder.ml \
	tools/server_builtins.ml

# Some for camlimages
$(call conditional_compilation,decoders,$(W_CAMLIMAGES),decoder/image/camlimages_decoder.ml)

# Include SDL now. Order matters so we group them all here..
$(call conditional_compilation,liquidsoap_sources,$(W_SDL),tools/sdl_utils.ml)
$(call conditional_compilation,synth,$(W_SDL),synth/keyboard_sdl.ml)
$(call conditional_compilation,decoders,$(W_SDL),decoder/image/sdlimage_decoder.ml)
$(call conditional_compilation,operators,$(W_SDL),operators/video_text_sdl.ml)
$(call conditional_compilation,outputs,$(W_SDL),outputs/sdl_out.ml)

# Same for lastfm..
$(call conditional_compilation,liquidsoap_sources,$(W_LASTFM),tools/liqfm.ml)
$(call conditional_compilation,protocols,$(W_LASTFM),protocols/lastfm_req.ml)
$(call conditional_compilation,sources,$(W_LASTFM),sources/lastfm_input.ml)
$(call conditional_compilation,builtins,$(W_LASTFM),lang/builtins_lastfm.ml)

# Same for alsa..
$(call conditional_compilation,liquidsoap_sources,$(W_ALSA), alsa_settings.ml)
$(call conditional_compilation,sources,$(W_ALSA),sources/alsa_in.ml)
$(call conditional_compilation,outputs,$(W_ALSA),outputs/alsa_out.ml)
$(call conditional_compilation,io,$(W_ALSA),io/alsa_io.ml)

# Same for GD..
$(call conditional_compilation,operators,$(W_GD),operators/video_text_gd.ml)

# GStreamer
$(call conditional_compilation,stream,$(W_GSTREAMER),tools/gstreamer_utils.ml)
$(call conditional_compilation,decoders,$(W_GSTREAMER),decoder/gstreamer_decoder.ml)
$(call conditional_compilation,encoders,$(W_GSTREAMER),encoder/gstreamer_encoder.ml)
$(call conditional_compilation,operators,$(W_GSTREAMER),operators/video_text_gstreamer.ml)
$(call conditional_compilation,io,$(W_GSTREAMER),io/gstreamer_io.ml)

liquidsoap_sources += \
	lang/lang_types.ml lang/lang_values.ml \
	lang/lang_encoders.ml lang/lang_parser.ml lang/lang_lexer.ml \
	lang/lang_pp.ml lang/lang.ml tools/start_stop.ml tools/ioRing.ml \
	tools/icecast_utils.ml \
	$(video_converters) $(audio_converters) $(ogg_demuxer) $(protocols) \
	$(sources) $(conversions) $(outputs) $(operators) \
	$(encoders) $(ogg_muxer) $(io) \
	$(analyze) $(playlists) $(visualization) $(synth) $(decoders) \
	shebang.ml $(builtins) main.ml \
        $(if $(W_WINSVC),runner_service.ml,runner.ml)

include $(top_srcdir)/Makefile.rules

configure.ml:
	@echo

=== doc/content/Makefile ===
DISTFILES = $(wildcard *.txt) Makefile 

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules

=== doc/liqi/Makefile ===
DISTFILES= Makefile liqi_parser.mly liqi_lexer.mll $(wildcard *.ml)

ocaml_progs=liqi
liqi_sources=liqi.ml html.ml latex.ml liqi_parser.ml liqi_lexer.ml main.ml

# Stupid need because of liquidsoap's CFLAGS, don't care for now
liqi_ocamlcflags=-thread -linkpkg -package pcre -package str

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== scripts/tests/Makefile ===

DISTFILES = Makefile $(wildcard *.liq) $(wildcard *.pl)

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules

test:
	@for i in $(wildcard *.liq) ; do \
	  echo -n "$$i... " ; $(top_srcdir)/src/liquidsoap -q ../pervasives.liq - < ./$$i | \
		tee /dev/null - | head -n 1 ; \
	done
	@echo -n "type_errors.pl... " ; \
	  if (./type_errors.pl > /dev/null 2> /dev/null) ; then \
	    echo "TEST PASSED (check manually the prettiness of messages)" ; \
      else \
	    echo "TEST FAILED" ; \
	  fi

=== src/io/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== src/lang/Makefile ===

lang_types.cmo: lang_types.ml
	ocamlc -c lang_types.ml

DISTFILES = Makefile lang_parser.mly lang_lexer.mll \
			$(wildcard *.ml) $(wildcard *.mli)
top_srcdir=../..
include $(top_srcdir)/Makefile.rules

menhir:
	@rm -f lang_parser.conflicts
	menhir --explain lang_parser.mly
	@cat lang_parser.conflicts

.PHONY: menhir

=== src/ogg_formats/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) Makefile

top_srcdir= ../..
include $(top_srcdir)/Makefile.rules

=== src/outputs/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.camlp4) $(wildcard *.mli) Makefile

top_srcdir= ../..
include $(top_srcdir)/Makefile.rules

=== debian/changelog ===
liquidsoap (1.1.1-7.2ubuntu1) artful; urgency=medium

  * Import upstream patch to fix compat with 4.04.
  * Fixup documentation build

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 11 Jul 2017 11:27:06 +0000

liquidsoap (1.1.1-7.2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 14:39:06 +0100

liquidsoap (1.1.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * Drop support for libschroedinger. (Closes: #845363)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 29 Nov 2016 22:37:34 +0100

liquidsoap (1.1.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend and Recommend fonts-liberation instead of the transitive
    ttf-liberation.
  * Add patch from upstream to fix FTBFS.  Closes: #802055
  * Run wrap-and-sort.
  * Build using dh-python2 instead of python-support.  Closes: #786026
  * Remove /usr/share/liquidsoap on purge if it's empty.  Closes: #668751

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2016 13:11:54 +0000

liquidsoap (1.1.1-7) unstable; urgency=medium

  * Patch shine encoder to adapt to new ABI. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2014 20:07:58 -0500

liquidsoap (1.1.1-6) unstable; urgency=low

  * Bring back SDL plugin. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Jun 2013 18:17:55 -0500

liquidsoap (1.1.1-5) unstable; urgency=low

  * Switch GD build-dep to libgd-ocaml-dev. 
  * Provide alternative build-dep on libgd-gd2-ocaml-dev.
  * Bump build-dep on camlimages.
  * Drop optional SDL plugin until SDL and gd become compatible
    again (conflicts on libtiff{4,5}-dev).

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 15 May 2013 07:06:38 -0500

liquidsoap (1.1.1-4) unstable; urgency=low

  * Added patch to enable dynamically loaded
    fdkaac encoder.
  * Dropped liquidsoap-plugin-fdkaac. 
  Closes: #708602

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 17:19:49 -0500

liquidsoap (1.1.1-3) unstable; urgency=low

  * Added liquidsoap emacs mode package. 
  * Merge changes from NMU 1.0.1+repack1-1.1
  * Added liquidsoap-plugin-fdkaac

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 00:35:34 -0500

liquidsoap (1.1.1-2) unstable; urgency=low

  * Set inotify build-dep to linux-only. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 27 Mar 2013 13:37:29 -0500

liquidsoap (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:48:12 -0500

liquidsoap (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Enabled new plugins:
    - shine
    - frei0r
    - opus
  * Bumped standards version to 3.9.4 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:37:55 -0500

liquidsoap (1.0.1+repack1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "missing versioned depend on libcamomile-ocaml-data":
    make (build) dependency on libcamomile-ocaml-{dev,data} versioned
    [(>= 0.8)]. Thanks, Paul van Tilburg.
    (Closes: #685632)

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Oct 2012 19:21:43 +0200

=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Samuel Mimram <smimram@debian.org>
Build-Depends:
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-autoreconf,
 dh-ocaml (>= 1.0.1),
 dh-python,
 festival,
 fonts-liberation,
 libalsa-ocaml-dev (>= 0.2.1) [linux-any],
 libao-ocaml-dev (>= 0.2.0),
 libbjack-ocaml-dev (>= 0.1.4),
 libcamlimages-ocaml-dev (>= 4.0.1-6),
 libcamomile-ocaml-dev (>= 0.8),
 libcry-ocaml-dev (>= 0.2.2),
 libdssi-ocaml-dev (>= 0.1.1),
 libdtools-ocaml-dev (>= 0.3.1),
 libduppy-ocaml-dev (>= 0.5.1),
 libfaad-ocaml-dev (>= 0.3.2),
 libflac-ocaml-dev (>= 0.1.1-3),
 libfrei0r-ocaml-dev,
 libgavl-ocaml-dev (>= 0.1.5),
 libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
 libgstreamer-ocaml-dev (>= 0.2.0),
 libinotify-ocaml-dev [linux-any],
 libladspa-ocaml-dev (>= 0.1.4),
 liblastfm-ocaml-dev (>= 0.3.0),
 liblo-ocaml-dev,
 libmad-ocaml-dev (>= 0.4.3),
 libmagic-ocaml-dev (>= 0.3.6),
 libmm-ocaml-dev (>= 0.2.1),
 libmp3lame-ocaml-dev (>= 0.3.2),
 libogg-ocaml-dev (>= 0.4.5),
 libopus-ocaml-dev,
 libpcre-ocaml-dev,
 libportaudio-ocaml-dev (>= 0.2.0),
 libpulse-ocaml-dev (>= 0.1.2),
 libsamplerate-ocaml-dev (>= 0.1.2),
 libsdl-ocaml-dev,
 libshine-ocaml-dev,
 libsoundtouch-ocaml-dev (>= 0.1.7),
 libspeex-ocaml-dev (>= 0.2.0-3),
 libtaglib-ocaml-dev (>= 0.3.1),
 libtheora-ocaml-dev (>= 0.3.0-3),
 libvoaacenc-ocaml-dev,
 libvorbis-ocaml-dev (>= 0.6.1-3),
 libxml-dom-perl,
 libxmlplaylist-ocaml-dev (>= 0.1.3),
 libyojson-ocaml-dev,
 ocaml-findlib,
 ocaml-nox,
 python,
 python-gtk2-dev,
 sox
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 adduser,
 libcamomile-ocaml-data (>= 0.8),
 sox,
 wget,
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Recommends:
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 logrotate,
 mp3gain,
 vorbis-tools,
 vorbisgain
Suggests:
 festival,
 icecast2,
 liguidsoap,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-xmlplaylist,
 mplayer
Provides:
 ${ocaml:Provides}
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-plugin-all
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-frei0r,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-gd,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-gstreamer,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-opus,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-shine,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist,
 ${misc:Depends}
Description: audio streaming language -- all plugins
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This meta-package installs all available plugins for Liquidsoap.

Package: liquidsoap-plugin-alsa
Architecture: linux-any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- ALSA plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides ALSA support for liquidsoap.

Package: liquidsoap-plugin-ao
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- AO plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides AO support for liquidsoap.

Package: liquidsoap-plugin-camlimages
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Camlimages plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding various format of images
 in Liquidsoap using camlimages.

Package: liquidsoap-plugin-dssi
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-ladspa (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- DSSI plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides DSSI plugins support for liquidsoap.

Package: liquidsoap-plugin-faad
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- FAAD plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding AAC and M4A files in liquidsoap.

Package: liquidsoap-plugin-flac
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-ogg (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- FLAC plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding and encoding native
 and ogg-encapsulated FLAC data in liquidsoap.

Package: liquidsoap-plugin-gavl
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Gavl plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for gavl video manipulation in Liquidsoap.

Package: liquidsoap-plugin-gd
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Recommends:
 fonts-liberation
Description: audio streaming language -- libgd plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for operators using libgd. Currently,
 the only operator provided is input.video.add_text.gd. This operators
 provides video text rendering without any X-related dependency.

Package: liquidsoap-plugin-graphics
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Graphics plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for Video visualisation operators using
 OCaml graphics module in Liquidsoap.

Package: liquidsoap-plugin-gstreamer
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- GStreamer plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for operators using GStreamer.

Package: liquidsoap-plugin-frei0r
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Frei0r plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for frei0r plugins in Liquidsoap.

Package: liquidsoap-plugin-icecast
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Icecast plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DEB_PYTHON2_MODULE_PACKAGES := liguidsoap

DEFAULT_FONT := /usr/share/fonts/truetype/ttf-liberation/LiberationSans-Regular.ttf

DEB_CONFIGURE_EXTRA_FLAGS := \
  --enable-ogg-dynamic-plugin --enable-flac-dynamic-plugin \
  --enable-speex-dynamic-plugin --enable-vorbis-dynamic-plugin --enable-theora-dynamic-plugin \
  --enable-sdl-dynamic-plugin --enable-gavl-dynamic-plugin --enable-mad-dynamic-plugin \
  --enable-faad-dynamic-plugin --enable-xmlplaylist-dynamic-plugin --enable-lastfm-dynamic-plugin \
  --enable-voaacenc-dynamic-plugin --enable-taglib-dynamic-plugin --enable-cry-dynamic-plugin \
  --enable-portaudio-dynamic-plugin --enable-pulseaudio-dynamic-plugin --enable-ao-dynamic-plugin \
  --enable-graphics-dynamic-plugin --enable-bjack-dynamic-plugin --enable-soundtouch-dynamic-plugin \
  --enable-ladspa-dynamic-plugin --enable-oss-dynamic-plugin --enable-alsa-dynamic-plugin \
  --enable-flac.ogg-dynamic-plugin --enable-samplerate-dynamic-plugin --enable-lame-dynamic-plugin \
  --enable-dssi-dynamic-plugin --enable-lo-dynamic-plugin --enable-camlimages-dynamic-plugin \
  --enable-gstreamer-dynamic-plugin --enable-gd-dynamic-plugin --with-default-font=$(DEFAULT_FONT) \
  --enable-opus-dynamic-plugin --enable-frei0r-dynamic-plugin --enable-shine-dynamic-plugin \
  --disable-custom
DEB_MAKE_BUILD_TARGET := all doc
DEB_MAKE_INSTALL_TARGET := doc install DESTDIR=$(CURDIR)/debian/tmp/ OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR) \
		                       prefix=$(CURDIR)/debian/tmp/usr sysconfdir=$(CURDIR)/debian/tmp/etc \
				       INSTALL_DAEMON=no OCAMLFIND_LDCONF=ignore
DEB_INSTALL_MANPAGES_liquidsoap := doc/liquidsoap.1
DEB_COMPRESS_EXCLUDE := .pdf
DEB_DH_INSTALL_ARGS_liquidsoap := -Xplugins

ifeq ($(OCAML_NATDYNLINK),no)
  DEB_CONFIGURE_EXTRA_FLAGS += --disable-nativecode
  export OCAMLINIT_SED := -e 's/^NODYN: //'
else
  OCAML_DHOCAML_FLAGS := \
    -Nliquidsoap-plugin-sdl -Nliquidsoap-plugin-alsa -Nliquidsoap-plugin-ao \
    -Nliquidsoap-plugin-jack -Nliquidsoap-plugin-icecast -Nliquidsoap-plugin-faad \
    -Nliquidsoap-plugin-flac -Nliquidsoap-plugin-gavl -Nliquidsoap-plugin-graphics \
    -Nliquidsoap-plugin-ladspa -Nliquidsoap-plugin-lastfm -Nliquidsoap-plugin-mad \
    -Nliquidsoap-plugin-ogg -Nliquidsoap-plugin-oss -Nliquidsoap-plugin-portaudio \
    -Nliquidsoap-plugin-pulseaudio -Nliquidsoap-plugin-samplerate \
    -Nliquidsoap-plugin-soundtouch -Nliquidsoap-plugin-speex \
    -Nliquidsoap-plugin-taglib -Nliquidsoap-plugin-theora -Nliquidsoap-plugin-voaacenc \
    -Nliquidsoap-plugin-vorbis -Nliquidsoap-plugin-xmlplaylist -Nliquidsoap-plugin-lame \
    -Nliquidsoap-plugin-dssi -Nliquidsoap-plugin-lo -Nliquidsoap-plugin-camlimages \
    -Nliquidsoap-plugin-gstreamer -Nliquidsoap-plugin-gd -Nliquidsoap-plugin-opus \
    -Nliquidsoap-plugin-frei0r -Nliquidsoap-plugin-shine
    export OCAMLINIT_SED := -e '/^NODYN: /d'
endif

makebuilddir/liquidsoap::
	[ -f debian/autoreconf.before ] || dh_autoreconf ./bootstrap
	mkdir -p $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

install/liquidsoap::
	cp $(CURDIR)/scripts/liquidsoap.initd $(CURDIR)/debian/liquidsoap.init

common-binary-post-install-arch::
	find $(CURDIR)/debian/liquidsoap-plugin-* -maxdepth 0 -type d | while read f; do \
	  plugin=`basename $$f | sed -e 's#liquidsoap-plugin-##'`; \
	  rm -f $(CURDIR)/debian/liquidsoap-plugin-$$plugin.onodefined; \
	  find $$f -name '*.cma' | while read i; do \
	    ocamlobjinfo $$i | grep 'Unit name' | cut -d' ' -f 3 >> \
	      $(CURDIR)/debian/liquidsoap-plugin-$$plugin.onodefined; \
	  done; \
	done

binary-install/liquidsoap::
	make doc
	mv $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq.example
	chmod +x $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq.example
	chmod -x $(CURDIR)/debian/liquidsoap/usr/share/doc/liquidsoap/examples/*.liq

binary-install/liguidsoap::
	sed -e s#/usr/lib/python.*/site-packages/liquidsoap#/var/lib/liguidsoap#g -i $(CURDIR)/debian/liguidsoap/usr/bin/liguidsoap
	dh_python2 /var/lib/liguidsoap

clean::
	dh_autoreconf_clean
	rm -rf src/liquidsoap src/META radio.liq.example \
	       src/SVN.ml src/io/liquidsoap_depend autodoc \
	       doc/manual debian/liquidsoap.init src/dllliquidsoap.so \
	       src/libliquidsoap.a debian/*.onodefined **/*debhelper.log
